<div class="tab_content">

    <div class="brr action_container p-0 mt-1 mb-1">
      <button 
        *ngIf="data.length >= 1" 
        class="brr mr-2 btn btn-md p-1 action fs16"
        [ngClass]="{'btn-light': bChanged == false, 'btn-danger': bChanged == true}"
        (click)="resetData()"
      >
        Reset data prior to changes
      </button>
    </div>
  
    <div class="brl w-100 p-1 form_container">
      <form *ngIf="viewForm" [formGroup]="formTabList" (submit)="$event.preventDefault()">

        <div *ngIf="data.length < 1" class="brl w-100 p-2 mb-2 element_container2">
          <div class="none fs18">
            Nessun dato disponibile
          </div>
        </div>

        <ng-container *ngFor="let element of data; let j = index;">
          <div id="divCounter_{{j}}" class="brl w-100 p-2 mb-2 element_container">
            <ng-container *ngFor="let field of fields ; let i = index; trackBy: trackByFn">
              <mat-form-field appearance="fill" *ngIf="field[3] === 'true'" class="fs12">
                <mat-label>{{ field[1] }}</mat-label>
                <input matInput type="text" name="{{ j }}_{{ field }}_TEXT" [(ngModel)]="element[field[0]]"
                  required="{{field[6].error.required}}" minlength="{{field[6].error.minlength}}"
                  maxlength="{{field[6].error.maxlength}}" class="form-control" formControlName="{{field[0]}}"
                  disabled="{{field[4] == 'false'}}" (keyup)="handleChanges(field[0], element[field[0]])">
                 
                  <mat-error *ngIf="hasError(field[0], 'required') && formTabList.controls[field[0]].value">Valore Errato</mat-error>
                  <mat-error *ngIf="hasError(field[0], 'required') && !formTabList.controls[field[0]].value">* Campo obbligatorio</mat-error>
                  <mat-error *ngIf="hasError(field[0], 'minlength')">Si possono inserire minimo '{{field[6].error.minlength}}' caratteri</mat-error>
                  <mat-error *ngIf="hasError(field[0], 'maxlength')">Si possono inserire massimo '{{field[6].error.maxlength}}' caratteri</mat-error>
              </mat-form-field>
            </ng-container>
            <button class="brr mr-2 btn btn-md p-1 action fs16 btn-light" (click)="delCounter(j)">Elimina</button>
          </div>
        </ng-container>
        
      </form>


    </div>
  
  </div>
  